Cassandra.Client (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.Client

- java.lang.Object
- - org.apache.thrift.TServiceClient
  - - org.apache.cassandra.thrift.Cassandra.Client

- All Implemented Interfaces:
    Cassandra.Iface
  Enclosing class:
    Cassandra

      public static class Cassandra.Client
      extends org.apache.thrift.TServiceClient
      implements Cassandra.Iface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.Client.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.TServiceClient

      `iprot_, oprot_, seqid_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client(org.apache.thrift.protocol.TProtocol prot)`
    `Client(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.nio.ByteBuffer key, ColumnParent column_parent, CounterColumn column, ConsistencyLevel consistency_level)` Increment or decrement a counter.
    `void` | `atomic_batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level)` Atomically mutate many columns or super columns for many row keys.
    `void` | `batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level)` Mutate many columns or super columns for many row keys.
    `CASResult` | `cas(java.nio.ByteBuffer key, java.lang.String column_family, java.util.List<Column> expected, java.util.List<Column> updates, ConsistencyLevel serial_consistency_level, ConsistencyLevel commit_consistency_level)` Atomic compare and set.
    `java.lang.String` | `describe_cluster_name()` get the cluster name
    `KsDef` | `describe_keyspace(java.lang.String keyspace)` describe specified keyspace
    `java.util.List<KsDef>` | `describe_keyspaces()` list the defined keyspaces in this cluster
    `java.util.List<TokenRange>` | `describe_local_ring(java.lang.String keyspace)` same as describe_ring, but considers only nodes in the local DC
    `java.lang.String` | `describe_partitioner()` returns the partitioner used by this cluster
    `java.util.List<TokenRange>` | `describe_ring(java.lang.String keyspace)` get the token ring: a map of ranges to host addresses, represented as a set of TokenRange instead of a map from range to list of endpoints, because you can't use Thrift structs as map keys: https://issues.apache.org/jira/browse/THRIFT-162 for the same reason, we can't return a set here, even though order is neither important nor predictable.
    `java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `describe_schema_versions()` for each schema version present in the cluster, returns a list of nodes at that version.
    `java.lang.String` | `describe_snitch()` returns the snitch used by this cluster
    `java.util.List<CfSplit>` | `describe_splits_ex(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split)`
    `java.util.List<java.lang.String>` | `describe_splits(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split)` experimental API for hadoop/parallel query support.
    `java.util.Map<java.lang.String,java.lang.String>` | `describe_token_map()` get the mapping between token->node ip without taking replication into consideration https://issues.apache.org/jira/browse/CASSANDRA-4092
    `java.lang.String` | `describe_version()` get the thrift api version
    `CqlResult` | `execute_cql_query(java.nio.ByteBuffer query, Compression compression)`
    `CqlResult` | `execute_cql3_query(java.nio.ByteBuffer query, Compression compression, ConsistencyLevel consistency)` Executes a CQL3 (Cassandra Query Language) statement and returns a CqlResult containing the results.
    `CqlResult` | `execute_prepared_cql_query(int itemId, java.util.List<java.nio.ByteBuffer> values)`
    `CqlResult` | `execute_prepared_cql3_query(int itemId, java.util.List<java.nio.ByteBuffer> values, ConsistencyLevel consistency)` Executes a prepared CQL3 (Cassandra Query Language) statement by passing an id token, a list of variables to bind, and the consistency level, and returns a CqlResult containing the results.
    `int` | `get_count(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)` returns the number of columns matching `predicate` for a particular `key`, `ColumnFamily` and optionally `SuperColumn`.
    `java.util.List<KeySlice>` | `get_indexed_slices(ColumnParent column_parent, IndexClause index_clause, SlicePredicate column_predicate, ConsistencyLevel consistency_level)` Returns the subset of columns specified in SlicePredicate for the rows matching the IndexClause
    `java.util.List<ColumnOrSuperColumn>` | `get_multi_slice(MultiSliceRequest request)` Select multiple slices of a key in a single RPC operation
    `java.util.List<KeySlice>` | `get_paged_slice(java.lang.String column_family, KeyRange range, java.nio.ByteBuffer start_column, ConsistencyLevel consistency_level)` returns a range of columns, wrapping to the next rows if necessary to collect max_results.
    `java.util.List<KeySlice>` | `get_range_slices(ColumnParent column_parent, SlicePredicate predicate, KeyRange range, ConsistencyLevel consistency_level)` returns a subset of columns for a contiguous range of keys.
    `java.util.List<ColumnOrSuperColumn>` | `get_slice(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)` Get the group of columns contained by column_parent (either a ColumnFamily name or a ColumnFamily/SuperColumn name pair) specified by the given SlicePredicate.
    `ColumnOrSuperColumn` | `get(java.nio.ByteBuffer key, ColumnPath column_path, ConsistencyLevel consistency_level)` Get the Column or SuperColumn at the given column_path.
    `void` | `insert(java.nio.ByteBuffer key, ColumnParent column_parent, Column column, ConsistencyLevel consistency_level)` Insert a Column at the given column_parent.column_family and optional column_parent.super_column.
    `void` | `login(AuthenticationRequest auth_request)`
    `java.util.Map<java.nio.ByteBuffer,java.lang.Integer>` | `multiget_count(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)` Perform a get_count in parallel on the given list keys.
    `java.util.Map<java.nio.ByteBuffer,java.util.List<ColumnOrSuperColumn>>` | `multiget_slice(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)` Performs a get_slice for column_parent and predicate for the given keys in parallel.
    `CqlPreparedResult` | `prepare_cql_query(java.nio.ByteBuffer query, Compression compression)`
    `CqlPreparedResult` | `prepare_cql3_query(java.nio.ByteBuffer query, Compression compression)` Prepare a CQL3 (Cassandra Query Language) statement by compiling and returning - the type of CQL statement - an id token of the compiled CQL stored on the server side.
    `void` | `recv_add()`
    `void` | `recv_atomic_batch_mutate()`
    `void` | `recv_batch_mutate()`
    `CASResult` | `recv_cas()`
    `java.lang.String` | `recv_describe_cluster_name()`
    `KsDef` | `recv_describe_keyspace()`
    `java.util.List<KsDef>` | `recv_describe_keyspaces()`
    `java.util.List<TokenRange>` | `recv_describe_local_ring()`
    `java.lang.String` | `recv_describe_partitioner()`
    `java.util.List<TokenRange>` | `recv_describe_ring()`
    `java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `recv_describe_schema_versions()`
    `java.lang.String` | `recv_describe_snitch()`
    `java.util.List<CfSplit>` | `recv_describe_splits_ex()`
    `java.util.List<java.lang.String>` | `recv_describe_splits()`
    `java.util.Map<java.lang.String,java.lang.String>` | `recv_describe_token_map()`
    `java.lang.String` | `recv_describe_version()`
    `CqlResult` | `recv_execute_cql_query()`
    `CqlResult` | `recv_execute_cql3_query()`
    `CqlResult` | `recv_execute_prepared_cql_query()`
    `CqlResult` | `recv_execute_prepared_cql3_query()`
    `int` | `recv_get_count()`
    `java.util.List<KeySlice>` | `recv_get_indexed_slices()`
    `java.util.List<ColumnOrSuperColumn>` | `recv_get_multi_slice()`
    `java.util.List<KeySlice>` | `recv_get_paged_slice()`
    `java.util.List<KeySlice>` | `recv_get_range_slices()`
    `java.util.List<ColumnOrSuperColumn>` | `recv_get_slice()`
    `ColumnOrSuperColumn` | `recv_get()`
    `void` | `recv_insert()`
    `void` | `recv_login()`
    `java.util.Map<java.nio.ByteBuffer,java.lang.Integer>` | `recv_multiget_count()`
    `java.util.Map<java.nio.ByteBuffer,java.util.List<ColumnOrSuperColumn>>` | `recv_multiget_slice()`
    `CqlPreparedResult` | `recv_prepare_cql_query()`
    `CqlPreparedResult` | `recv_prepare_cql3_query()`
    `void` | `recv_remove_counter()`
    `void` | `recv_remove()`
    `void` | `recv_set_cql_version()`
    `void` | `recv_set_keyspace()`
    `java.lang.String` | `recv_system_add_column_family()`
    `java.lang.String` | `recv_system_add_keyspace()`
    `java.lang.String` | `recv_system_drop_column_family()`
    `java.lang.String` | `recv_system_drop_keyspace()`
    `java.lang.String` | `recv_system_update_column_family()`
    `java.lang.String` | `recv_system_update_keyspace()`
    `java.nio.ByteBuffer` | `recv_trace_next_query()`
    `void` | `recv_truncate()`
    `void` | `remove_counter(java.nio.ByteBuffer key, ColumnPath path, ConsistencyLevel consistency_level)` Remove a counter at the specified location.
    `void` | `remove(java.nio.ByteBuffer key, ColumnPath column_path, long timestamp, ConsistencyLevel consistency_level)` Remove data from the row specified by key at the granularity specified by column_path, and the given timestamp.
    `void` | `send_add(java.nio.ByteBuffer key, ColumnParent column_parent, CounterColumn column, ConsistencyLevel consistency_level)`
    `void` | `send_atomic_batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level)`
    `void` | `send_batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level)`
    `void` | `send_cas(java.nio.ByteBuffer key, java.lang.String column_family, java.util.List<Column> expected, java.util.List<Column> updates, ConsistencyLevel serial_consistency_level, ConsistencyLevel commit_consistency_level)`
    `void` | `send_describe_cluster_name()`
    `void` | `send_describe_keyspace(java.lang.String keyspace)`
    `void` | `send_describe_keyspaces()`
    `void` | `send_describe_local_ring(java.lang.String keyspace)`
    `void` | `send_describe_partitioner()`
    `void` | `send_describe_ring(java.lang.String keyspace)`
    `void` | `send_describe_schema_versions()`
    `void` | `send_describe_snitch()`
    `void` | `send_describe_splits_ex(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split)`
    `void` | `send_describe_splits(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split)`
    `void` | `send_describe_token_map()`
    `void` | `send_describe_version()`
    `void` | `send_execute_cql_query(java.nio.ByteBuffer query, Compression compression)`
    `void` | `send_execute_cql3_query(java.nio.ByteBuffer query, Compression compression, ConsistencyLevel consistency)`
    `void` | `send_execute_prepared_cql_query(int itemId, java.util.List<java.nio.ByteBuffer> values)`
    `void` | `send_execute_prepared_cql3_query(int itemId, java.util.List<java.nio.ByteBuffer> values, ConsistencyLevel consistency)`
    `void` | `send_get_count(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)`
    `void` | `send_get_indexed_slices(ColumnParent column_parent, IndexClause index_clause, SlicePredicate column_predicate, ConsistencyLevel consistency_level)`
    `void` | `send_get_multi_slice(MultiSliceRequest request)`
    `void` | `send_get_paged_slice(java.lang.String column_family, KeyRange range, java.nio.ByteBuffer start_column, ConsistencyLevel consistency_level)`
    `void` | `send_get_range_slices(ColumnParent column_parent, SlicePredicate predicate, KeyRange range, ConsistencyLevel consistency_level)`
    `void` | `send_get_slice(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)`
    `void` | `send_get(java.nio.ByteBuffer key, ColumnPath column_path, ConsistencyLevel consistency_level)`
    `void` | `send_insert(java.nio.ByteBuffer key, ColumnParent column_parent, Column column, ConsistencyLevel consistency_level)`
    `void` | `send_login(AuthenticationRequest auth_request)`
    `void` | `send_multiget_count(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)`
    `void` | `send_multiget_slice(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)`
    `void` | `send_prepare_cql_query(java.nio.ByteBuffer query, Compression compression)`
    `void` | `send_prepare_cql3_query(java.nio.ByteBuffer query, Compression compression)`
    `void` | `send_remove_counter(java.nio.ByteBuffer key, ColumnPath path, ConsistencyLevel consistency_level)`
    `void` | `send_remove(java.nio.ByteBuffer key, ColumnPath column_path, long timestamp, ConsistencyLevel consistency_level)`
    `void` | `send_set_cql_version(java.lang.String version)`
    `void` | `send_set_keyspace(java.lang.String keyspace)`
    `void` | `send_system_add_column_family(CfDef cf_def)`
    `void` | `send_system_add_keyspace(KsDef ks_def)`
    `void` | `send_system_drop_column_family(java.lang.String column_family)`
    `void` | `send_system_drop_keyspace(java.lang.String keyspace)`
    `void` | `send_system_update_column_family(CfDef cf_def)`
    `void` | `send_system_update_keyspace(KsDef ks_def)`
    `void` | `send_trace_next_query()`
    `void` | `send_truncate(java.lang.String cfname)`
    `void` | `set_cql_version(java.lang.String version)`
    `void` | `set_keyspace(java.lang.String keyspace)`
    `java.lang.String` | `system_add_column_family(CfDef cf_def)` adds a column family.
    `java.lang.String` | `system_add_keyspace(KsDef ks_def)` adds a keyspace and any column families that are part of it.
    `java.lang.String` | `system_drop_column_family(java.lang.String column_family)` drops a column family.
    `java.lang.String` | `system_drop_keyspace(java.lang.String keyspace)` drops a keyspace and any column families that are part of it.
    `java.lang.String` | `system_update_column_family(CfDef cf_def)` updates properties of a column family.
    `java.lang.String` | `system_update_keyspace(KsDef ks_def)` updates properties of a keyspace.
    `java.nio.ByteBuffer` | `trace_next_query()` Enables tracing for the next query in this connection and returns the UUID for that trace session The next query will be traced idependently of trace probability and the returned UUID can be used to query the trace keyspace
    `void` | `truncate(java.lang.String cfname)` Truncate will mark and entire column family as deleted.

    - ### Methods inherited from class org.apache.thrift.TServiceClient

      `getInputProtocol, getOutputProtocol, receiveBase, sendBase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client(org.apache.thrift.protocol.TProtocol prot)

    - #### Client

          public Client(org.apache.thrift.protocol.TProtocol iprot,
                        org.apache.thrift.protocol.TProtocol oprot)

  - ### Method Detail

    - #### login

          public void login(AuthenticationRequest auth_request)
                     throws AuthenticationException,
                            AuthorizationException,
                            org.apache.thrift.TException

      Specified by:
        `login` in interface `Cassandra.Iface`
      Throws:
        `AuthenticationException`
        `AuthorizationException`
        `org.apache.thrift.TException`

    - #### send_login

          public void send_login(AuthenticationRequest auth_request)
                          throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_login

          public void recv_login()
                          throws AuthenticationException,
                                 AuthorizationException,
                                 org.apache.thrift.TException

      Throws:
        `AuthenticationException`
        `AuthorizationException`
        `org.apache.thrift.TException`

    - #### set_keyspace

          public void set_keyspace(java.lang.String keyspace)
                            throws InvalidRequestException,
                                   org.apache.thrift.TException

      Specified by:
        `set_keyspace` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_set_keyspace

          public void send_set_keyspace(java.lang.String keyspace)
                                 throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_set_keyspace

          public void recv_set_keyspace()
                                 throws InvalidRequestException,
                                        org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### get

          public ColumnOrSuperColumn get(java.nio.ByteBuffer key,
                                         ColumnPath column_path,
                                         ConsistencyLevel consistency_level)
                                  throws InvalidRequestException,
                                         NotFoundException,
                                         UnavailableException,
                                         TimedOutException,
                                         org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Get the Column or SuperColumn at the given column_path. If no value is present, NotFoundException is thrown. (This is the only method that can throw an exception under non-failure conditions.)
      Specified by:
        `get` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `NotFoundException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_get

          public void send_get(java.nio.ByteBuffer key,
                               ColumnPath column_path,
                               ConsistencyLevel consistency_level)
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_get

          public ColumnOrSuperColumn recv_get()
                                       throws InvalidRequestException,
                                              NotFoundException,
                                              UnavailableException,
                                              TimedOutException,
                                              org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `NotFoundException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### get_slice

          public java.util.List<ColumnOrSuperColumn> get_slice(java.nio.ByteBuffer key,
                                                               ColumnParent column_parent,
                                                               SlicePredicate predicate,
                                                               ConsistencyLevel consistency_level)
                                                        throws InvalidRequestException,
                                                               UnavailableException,
                                                               TimedOutException,
                                                               org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Get the group of columns contained by column_parent (either a ColumnFamily name or a ColumnFamily/SuperColumn name pair) specified by the given SlicePredicate. If no matching values are found, an empty list is returned.
      Specified by:
        `get_slice` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_get_slice

          public void send_get_slice(java.nio.ByteBuffer key,
                                     ColumnParent column_parent,
                                     SlicePredicate predicate,
                                     ConsistencyLevel consistency_level)
                              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_get_slice

          public java.util.List<ColumnOrSuperColumn> recv_get_slice()
                                                             throws InvalidRequestException,
                                                                    UnavailableException,
                                                                    TimedOutException,
                                                                    org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### get_count

          public int get_count(java.nio.ByteBuffer key,
                               ColumnParent column_parent,
                               SlicePredicate predicate,
                               ConsistencyLevel consistency_level)
                        throws InvalidRequestException,
                               UnavailableException,
                               TimedOutException,
                               org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      returns the number of columns matching `predicate` for a particular `key`, `ColumnFamily` and optionally `SuperColumn`.
      Specified by:
        `get_count` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_get_count

          public void send_get_count(java.nio.ByteBuffer key,
                                     ColumnParent column_parent,
                                     SlicePredicate predicate,
                                     ConsistencyLevel consistency_level)
                              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_get_count

          public int recv_get_count()
                             throws InvalidRequestException,
                                    UnavailableException,
                                    TimedOutException,
                                    org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### multiget_slice

          public java.util.Map<java.nio.ByteBuffer,java.util.List<ColumnOrSuperColumn>> multiget_slice(java.util.List<java.nio.ByteBuffer> keys,
                                                                                                       ColumnParent column_parent,
                                                                                                       SlicePredicate predicate,
                                                                                                       ConsistencyLevel consistency_level)
                                                                                                throws InvalidRequestException,
                                                                                                       UnavailableException,
                                                                                                       TimedOutException,
                                                                                                       org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Performs a get_slice for column_parent and predicate for the given keys in parallel.
      Specified by:
        `multiget_slice` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_multiget_slice

          public void send_multiget_slice(java.util.List<java.nio.ByteBuffer> keys,
                                          ColumnParent column_parent,
                                          SlicePredicate predicate,
                                          ConsistencyLevel consistency_level)
                                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_multiget_slice

          public java.util.Map<java.nio.ByteBuffer,java.util.List<ColumnOrSuperColumn>> recv_multiget_slice()
                                                                                                     throws InvalidRequestException,
                                                                                                            UnavailableException,
                                                                                                            TimedOutException,
                                                                                                            org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### multiget_count

          public java.util.Map<java.nio.ByteBuffer,java.lang.Integer> multiget_count(java.util.List<java.nio.ByteBuffer> keys,
                                                                                     ColumnParent column_parent,
                                                                                     SlicePredicate predicate,
                                                                                     ConsistencyLevel consistency_level)
                                                                              throws InvalidRequestException,
                                                                                     UnavailableException,
                                                                                     TimedOutException,
                                                                                     org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Perform a get_count in parallel on the given list keys. The return value maps keys to the count found.
      Specified by:
        `multiget_count` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_multiget_count

          public void send_multiget_count(java.util.List<java.nio.ByteBuffer> keys,
                                          ColumnParent column_parent,
                                          SlicePredicate predicate,
                                          ConsistencyLevel consistency_level)
                                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_multiget_count

          public java.util.Map<java.nio.ByteBuffer,java.lang.Integer> recv_multiget_count()
                                                                                   throws InvalidRequestException,
                                                                                          UnavailableException,
                                                                                          TimedOutException,
                                                                                          org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### get_range_slices

          public java.util.List<KeySlice> get_range_slices(ColumnParent column_parent,
                                                           SlicePredicate predicate,
                                                           KeyRange range,
                                                           ConsistencyLevel consistency_level)
                                                    throws InvalidRequestException,
                                                           UnavailableException,
                                                           TimedOutException,
                                                           org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      returns a subset of columns for a contiguous range of keys.
      Specified by:
        `get_range_slices` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_get_range_slices

          public void send_get_range_slices(ColumnParent column_parent,
                                            SlicePredicate predicate,
                                            KeyRange range,
                                            ConsistencyLevel consistency_level)
                                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_get_range_slices

          public java.util.List<KeySlice> recv_get_range_slices()
                                                         throws InvalidRequestException,
                                                                UnavailableException,
                                                                TimedOutException,
                                                                org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### get_paged_slice

          public java.util.List<KeySlice> get_paged_slice(java.lang.String column_family,
                                                          KeyRange range,
                                                          java.nio.ByteBuffer start_column,
                                                          ConsistencyLevel consistency_level)
                                                   throws InvalidRequestException,
                                                          UnavailableException,
                                                          TimedOutException,
                                                          org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      returns a range of columns, wrapping to the next rows if necessary to collect max_results.
      Specified by:
        `get_paged_slice` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_get_paged_slice

          public void send_get_paged_slice(java.lang.String column_family,
                                           KeyRange range,
                                           java.nio.ByteBuffer start_column,
                                           ConsistencyLevel consistency_level)
                                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_get_paged_slice

          public java.util.List<KeySlice> recv_get_paged_slice()
                                                        throws InvalidRequestException,
                                                               UnavailableException,
                                                               TimedOutException,
                                                               org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### get_indexed_slices

          public java.util.List<KeySlice> get_indexed_slices(ColumnParent column_parent,
                                                             IndexClause index_clause,
                                                             SlicePredicate column_predicate,
                                                             ConsistencyLevel consistency_level)
                                                      throws InvalidRequestException,
                                                             UnavailableException,
                                                             TimedOutException,
                                                             org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Returns the subset of columns specified in SlicePredicate for the rows matching the IndexClause
      Specified by:
        `get_indexed_slices` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_get_indexed_slices

          public void send_get_indexed_slices(ColumnParent column_parent,
                                              IndexClause index_clause,
                                              SlicePredicate column_predicate,
                                              ConsistencyLevel consistency_level)
                                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_get_indexed_slices

          public java.util.List<KeySlice> recv_get_indexed_slices()
                                                           throws InvalidRequestException,
                                                                  UnavailableException,
                                                                  TimedOutException,
                                                                  org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### insert

          public void insert(java.nio.ByteBuffer key,
                             ColumnParent column_parent,
                             Column column,
                             ConsistencyLevel consistency_level)
                      throws InvalidRequestException,
                             UnavailableException,
                             TimedOutException,
                             org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Insert a Column at the given column_parent.column_family and optional column_parent.super_column.
      Specified by:
        `insert` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_insert

          public void send_insert(java.nio.ByteBuffer key,
                                  ColumnParent column_parent,
                                  Column column,
                                  ConsistencyLevel consistency_level)
                           throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_insert

          public void recv_insert()
                           throws InvalidRequestException,
                                  UnavailableException,
                                  TimedOutException,
                                  org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### add

          public void add(java.nio.ByteBuffer key,
                          ColumnParent column_parent,
                          CounterColumn column,
                          ConsistencyLevel consistency_level)
                   throws InvalidRequestException,
                          UnavailableException,
                          TimedOutException,
                          org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Increment or decrement a counter.
      Specified by:
        `add` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_add

          public void send_add(java.nio.ByteBuffer key,
                               ColumnParent column_parent,
                               CounterColumn column,
                               ConsistencyLevel consistency_level)
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_add

          public void recv_add()
                        throws InvalidRequestException,
                               UnavailableException,
                               TimedOutException,
                               org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### cas

          public CASResult cas(java.nio.ByteBuffer key,
                               java.lang.String column_family,
                               java.util.List<Column> expected,
                               java.util.List<Column> updates,
                               ConsistencyLevel serial_consistency_level,
                               ConsistencyLevel commit_consistency_level)
                        throws InvalidRequestException,
                               UnavailableException,
                               TimedOutException,
                               org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Atomic compare and set. If the cas is successfull, the success boolean in CASResult will be true and there will be no current_values. Otherwise, success will be false and current_values will contain the current values for the columns in expected (that, by definition of compare-and-set, will differ from the values in expected). A cas operation takes 2 consistency level. The first one, serial_consistency_level, simply indicates the level of serialization required. This can be either ConsistencyLevel.SERIAL or ConsistencyLevel.LOCAL_SERIAL. The second one, commit_consistency_level, defines the consistency level for the commit phase of the cas. This is a more traditional consistency level (the same CL than for traditional writes are accepted) that impact the visibility for reads of the operation. For instance, if commit_consistency_level is QUORUM, then it is guaranteed that a followup QUORUM read will see the cas write (if that one was successful obviously). If commit_consistency_level is ANY, you will need to use a SERIAL/LOCAL_SERIAL read to be guaranteed to see the write.
      Specified by:
        `cas` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_cas

          public void send_cas(java.nio.ByteBuffer key,
                               java.lang.String column_family,
                               java.util.List<Column> expected,
                               java.util.List<Column> updates,
                               ConsistencyLevel serial_consistency_level,
                               ConsistencyLevel commit_consistency_level)
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_cas

          public CASResult recv_cas()
                             throws InvalidRequestException,
                                    UnavailableException,
                                    TimedOutException,
                                    org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### remove

          public void remove(java.nio.ByteBuffer key,
                             ColumnPath column_path,
                             long timestamp,
                             ConsistencyLevel consistency_level)
                      throws InvalidRequestException,
                             UnavailableException,
                             TimedOutException,
                             org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Remove data from the row specified by key at the granularity specified by column_path, and the given timestamp. Note that all the values in column_path besides column_path.column_family are truly optional: you can remove the entire row by just specifying the ColumnFamily, or you can remove a SuperColumn or a single Column by specifying those levels too.
      Specified by:
        `remove` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_remove

          public void send_remove(java.nio.ByteBuffer key,
                                  ColumnPath column_path,
                                  long timestamp,
                                  ConsistencyLevel consistency_level)
                           throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_remove

          public void recv_remove()
                           throws InvalidRequestException,
                                  UnavailableException,
                                  TimedOutException,
                                  org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### remove_counter

          public void remove_counter(java.nio.ByteBuffer key,
                                     ColumnPath path,
                                     ConsistencyLevel consistency_level)
                              throws InvalidRequestException,
                                     UnavailableException,
                                     TimedOutException,
                                     org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Remove a counter at the specified location. Note that counters have limited support for deletes: if you remove a counter, you must wait to issue any following update until the delete has reached all the nodes and all of them have been fully compacted.
      Specified by:
        `remove_counter` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_remove_counter

          public void send_remove_counter(java.nio.ByteBuffer key,
                                          ColumnPath path,
                                          ConsistencyLevel consistency_level)
                                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_remove_counter

          public void recv_remove_counter()
                                   throws InvalidRequestException,
                                          UnavailableException,
                                          TimedOutException,
                                          org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### batch_mutate

          public void batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                                   ConsistencyLevel consistency_level)
                            throws InvalidRequestException,
                                   UnavailableException,
                                   TimedOutException,
                                   org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Mutate many columns or super columns for many row keys. See also: Mutation. mutation_map maps key to column family to a list of Mutation objects to take place at that scope. *
      Specified by:
        `batch_mutate` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_batch_mutate

          public void send_batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                                        ConsistencyLevel consistency_level)
                                 throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_batch_mutate

          public void recv_batch_mutate()
                                 throws InvalidRequestException,
                                        UnavailableException,
                                        TimedOutException,
                                        org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### atomic_batch_mutate

          public void atomic_batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                                          ConsistencyLevel consistency_level)
                                   throws InvalidRequestException,
                                          UnavailableException,
                                          TimedOutException,
                                          org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Atomically mutate many columns or super columns for many row keys. See also: Mutation. mutation_map maps key to column family to a list of Mutation objects to take place at that scope. *
      Specified by:
        `atomic_batch_mutate` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_atomic_batch_mutate

          public void send_atomic_batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                                               ConsistencyLevel consistency_level)
                                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_atomic_batch_mutate

          public void recv_atomic_batch_mutate()
                                        throws InvalidRequestException,
                                               UnavailableException,
                                               TimedOutException,
                                               org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### truncate

          public void truncate(java.lang.String cfname)
                        throws InvalidRequestException,
                               UnavailableException,
                               TimedOutException,
                               org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Truncate will mark and entire column family as deleted. From the user's perspective a successful call to truncate will result complete data deletion from cfname. Internally, however, disk space will not be immediatily released, as with all deletes in cassandra, this one only marks the data as deleted. The operation succeeds only if all hosts in the cluster at available and will throw an UnavailableException if some hosts are down.
      Specified by:
        `truncate` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_truncate

          public void send_truncate(java.lang.String cfname)
                             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_truncate

          public void recv_truncate()
                             throws InvalidRequestException,
                                    UnavailableException,
                                    TimedOutException,
                                    org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### get_multi_slice

          public java.util.List<ColumnOrSuperColumn> get_multi_slice(MultiSliceRequest request)
                                                              throws InvalidRequestException,
                                                                     UnavailableException,
                                                                     TimedOutException,
                                                                     org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Select multiple slices of a key in a single RPC operation
      Specified by:
        `get_multi_slice` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### send_get_multi_slice

          public void send_get_multi_slice(MultiSliceRequest request)
                                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_get_multi_slice

          public java.util.List<ColumnOrSuperColumn> recv_get_multi_slice()
                                                                   throws InvalidRequestException,
                                                                          UnavailableException,
                                                                          TimedOutException,
                                                                          org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

    - #### describe_schema_versions

          public java.util.Map<java.lang.String,java.util.List<java.lang.String>> describe_schema_versions()
                                                                                                    throws InvalidRequestException,
                                                                                                           org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      for each schema version present in the cluster, returns a list of nodes at that version. hosts that do not respond will be under the key DatabaseDescriptor.INITIAL_VERSION. the cluster is all on the same version if the size of the map is 1.
      Specified by:
        `describe_schema_versions` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_describe_schema_versions

          public void send_describe_schema_versions()
                                             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_schema_versions

          public java.util.Map<java.lang.String,java.util.List<java.lang.String>> recv_describe_schema_versions()
                                                                                                         throws InvalidRequestException,
                                                                                                                org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### describe_keyspaces

          public java.util.List<KsDef> describe_keyspaces()
                                                   throws InvalidRequestException,
                                                          org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      list the defined keyspaces in this cluster
      Specified by:
        `describe_keyspaces` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_describe_keyspaces

          public void send_describe_keyspaces()
                                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_keyspaces

          public java.util.List<KsDef> recv_describe_keyspaces()
                                                        throws InvalidRequestException,
                                                               org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### describe_cluster_name

          public java.lang.String describe_cluster_name()
                                                 throws org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      get the cluster name
      Specified by:
        `describe_cluster_name` in interface `Cassandra.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_describe_cluster_name

          public void send_describe_cluster_name()
                                          throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_cluster_name

          public java.lang.String recv_describe_cluster_name()
                                                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### describe_version

          public java.lang.String describe_version()
                                            throws org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      get the thrift api version
      Specified by:
        `describe_version` in interface `Cassandra.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_describe_version

          public void send_describe_version()
                                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_version

          public java.lang.String recv_describe_version()
                                                 throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### describe_ring

          public java.util.List<TokenRange> describe_ring(java.lang.String keyspace)
                                                   throws InvalidRequestException,
                                                          org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      get the token ring: a map of ranges to host addresses, represented as a set of TokenRange instead of a map from range to list of endpoints, because you can't use Thrift structs as map keys: https://issues.apache.org/jira/browse/THRIFT-162 for the same reason, we can't return a set here, even though order is neither important nor predictable.
      Specified by:
        `describe_ring` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_describe_ring

          public void send_describe_ring(java.lang.String keyspace)
                                  throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_ring

          public java.util.List<TokenRange> recv_describe_ring()
                                                        throws InvalidRequestException,
                                                               org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### describe_local_ring

          public java.util.List<TokenRange> describe_local_ring(java.lang.String keyspace)
                                                         throws InvalidRequestException,
                                                                org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      same as describe_ring, but considers only nodes in the local DC
      Specified by:
        `describe_local_ring` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_describe_local_ring

          public void send_describe_local_ring(java.lang.String keyspace)
                                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_local_ring

          public java.util.List<TokenRange> recv_describe_local_ring()
                                                              throws InvalidRequestException,
                                                                     org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### describe_token_map

          public java.util.Map<java.lang.String,java.lang.String> describe_token_map()
                                                                              throws InvalidRequestException,
                                                                                     org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      get the mapping between token->node ip without taking replication into consideration https://issues.apache.org/jira/browse/CASSANDRA-4092
      Specified by:
        `describe_token_map` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_describe_token_map

          public void send_describe_token_map()
                                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_token_map

          public java.util.Map<java.lang.String,java.lang.String> recv_describe_token_map()
                                                                                   throws InvalidRequestException,
                                                                                          org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### describe_partitioner

          public java.lang.String describe_partitioner()
                                                throws org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      returns the partitioner used by this cluster
      Specified by:
        `describe_partitioner` in interface `Cassandra.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_describe_partitioner

          public void send_describe_partitioner()
                                         throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_partitioner

          public java.lang.String recv_describe_partitioner()
                                                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### describe_snitch

          public java.lang.String describe_snitch()
                                           throws org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      returns the snitch used by this cluster
      Specified by:
        `describe_snitch` in interface `Cassandra.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_describe_snitch

          public void send_describe_snitch()
                                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_snitch

          public java.lang.String recv_describe_snitch()
                                                throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### describe_keyspace

          public KsDef describe_keyspace(java.lang.String keyspace)
                                  throws NotFoundException,
                                         InvalidRequestException,
                                         org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      describe specified keyspace
      Specified by:
        `describe_keyspace` in interface `Cassandra.Iface`
      Throws:
        `NotFoundException`
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_describe_keyspace

          public void send_describe_keyspace(java.lang.String keyspace)
                                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_keyspace

          public KsDef recv_describe_keyspace()
                                       throws NotFoundException,
                                              InvalidRequestException,
                                              org.apache.thrift.TException

      Throws:
        `NotFoundException`
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### describe_splits

          public java.util.List<java.lang.String> describe_splits(java.lang.String cfName,
                                                                  java.lang.String start_token,
                                                                  java.lang.String end_token,
                                                                  int keys_per_split)
                                                           throws InvalidRequestException,
                                                                  org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      experimental API for hadoop/parallel query support. may change violently and without warning. returns list of token strings such that first subrange is (list[0], list[1]], next is (list[1], list[2]], etc.
      Specified by:
        `describe_splits` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_describe_splits

          public void send_describe_splits(java.lang.String cfName,
                                           java.lang.String start_token,
                                           java.lang.String end_token,
                                           int keys_per_split)
                                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_splits

          public java.util.List<java.lang.String> recv_describe_splits()
                                                                throws InvalidRequestException,
                                                                       org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### trace_next_query

          public java.nio.ByteBuffer trace_next_query()
                                               throws org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Enables tracing for the next query in this connection and returns the UUID for that trace session The next query will be traced idependently of trace probability and the returned UUID can be used to query the trace keyspace
      Specified by:
        `trace_next_query` in interface `Cassandra.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_trace_next_query

          public void send_trace_next_query()
                                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_trace_next_query

          public java.nio.ByteBuffer recv_trace_next_query()
                                                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### describe_splits_ex

          public java.util.List<CfSplit> describe_splits_ex(java.lang.String cfName,
                                                            java.lang.String start_token,
                                                            java.lang.String end_token,
                                                            int keys_per_split)
                                                     throws InvalidRequestException,
                                                            org.apache.thrift.TException

      Specified by:
        `describe_splits_ex` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_describe_splits_ex

          public void send_describe_splits_ex(java.lang.String cfName,
                                              java.lang.String start_token,
                                              java.lang.String end_token,
                                              int keys_per_split)
                                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_describe_splits_ex

          public java.util.List<CfSplit> recv_describe_splits_ex()
                                                          throws InvalidRequestException,
                                                                 org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### system_add_column_family

          public java.lang.String system_add_column_family(CfDef cf_def)
                                                    throws InvalidRequestException,
                                                           SchemaDisagreementException,
                                                           org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      adds a column family. returns the new schema id.
      Specified by:
        `system_add_column_family` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_system_add_column_family

          public void send_system_add_column_family(CfDef cf_def)
                                             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_system_add_column_family

          public java.lang.String recv_system_add_column_family()
                                                         throws InvalidRequestException,
                                                                SchemaDisagreementException,
                                                                org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### system_drop_column_family

          public java.lang.String system_drop_column_family(java.lang.String column_family)
                                                     throws InvalidRequestException,
                                                            SchemaDisagreementException,
                                                            org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      drops a column family. returns the new schema id.
      Specified by:
        `system_drop_column_family` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_system_drop_column_family

          public void send_system_drop_column_family(java.lang.String column_family)
                                              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_system_drop_column_family

          public java.lang.String recv_system_drop_column_family()
                                                          throws InvalidRequestException,
                                                                 SchemaDisagreementException,
                                                                 org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### system_add_keyspace

          public java.lang.String system_add_keyspace(KsDef ks_def)
                                               throws InvalidRequestException,
                                                      SchemaDisagreementException,
                                                      org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      adds a keyspace and any column families that are part of it. returns the new schema id.
      Specified by:
        `system_add_keyspace` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_system_add_keyspace

          public void send_system_add_keyspace(KsDef ks_def)
                                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_system_add_keyspace

          public java.lang.String recv_system_add_keyspace()
                                                    throws InvalidRequestException,
                                                           SchemaDisagreementException,
                                                           org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### system_drop_keyspace

          public java.lang.String system_drop_keyspace(java.lang.String keyspace)
                                                throws InvalidRequestException,
                                                       SchemaDisagreementException,
                                                       org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      drops a keyspace and any column families that are part of it. returns the new schema id.
      Specified by:
        `system_drop_keyspace` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_system_drop_keyspace

          public void send_system_drop_keyspace(java.lang.String keyspace)
                                         throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_system_drop_keyspace

          public java.lang.String recv_system_drop_keyspace()
                                                     throws InvalidRequestException,
                                                            SchemaDisagreementException,
                                                            org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### system_update_keyspace

          public java.lang.String system_update_keyspace(KsDef ks_def)
                                                  throws InvalidRequestException,
                                                         SchemaDisagreementException,
                                                         org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      updates properties of a keyspace. returns the new schema id.
      Specified by:
        `system_update_keyspace` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_system_update_keyspace

          public void send_system_update_keyspace(KsDef ks_def)
                                           throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_system_update_keyspace

          public java.lang.String recv_system_update_keyspace()
                                                       throws InvalidRequestException,
                                                              SchemaDisagreementException,
                                                              org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### system_update_column_family

          public java.lang.String system_update_column_family(CfDef cf_def)
                                                       throws InvalidRequestException,
                                                              SchemaDisagreementException,
                                                              org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      updates properties of a column family. returns the new schema id.
      Specified by:
        `system_update_column_family` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_system_update_column_family

          public void send_system_update_column_family(CfDef cf_def)
                                                throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_system_update_column_family

          public java.lang.String recv_system_update_column_family()
                                                            throws InvalidRequestException,
                                                                   SchemaDisagreementException,
                                                                   org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### execute_cql_query

          public CqlResult execute_cql_query(java.nio.ByteBuffer query,
                                             Compression compression)
                                      throws InvalidRequestException,
                                             UnavailableException,
                                             TimedOutException,
                                             SchemaDisagreementException,
                                             org.apache.thrift.TException

      Specified by:
        `execute_cql_query` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_execute_cql_query

          public void send_execute_cql_query(java.nio.ByteBuffer query,
                                             Compression compression)
                                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_execute_cql_query

          public CqlResult recv_execute_cql_query()
                                           throws InvalidRequestException,
                                                  UnavailableException,
                                                  TimedOutException,
                                                  SchemaDisagreementException,
                                                  org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### execute_cql3_query

          public CqlResult execute_cql3_query(java.nio.ByteBuffer query,
                                              Compression compression,
                                              ConsistencyLevel consistency)
                                       throws InvalidRequestException,
                                              UnavailableException,
                                              TimedOutException,
                                              SchemaDisagreementException,
                                              org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Executes a CQL3 (Cassandra Query Language) statement and returns a CqlResult containing the results.
      Specified by:
        `execute_cql3_query` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_execute_cql3_query

          public void send_execute_cql3_query(java.nio.ByteBuffer query,
                                              Compression compression,
                                              ConsistencyLevel consistency)
                                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_execute_cql3_query

          public CqlResult recv_execute_cql3_query()
                                            throws InvalidRequestException,
                                                   UnavailableException,
                                                   TimedOutException,
                                                   SchemaDisagreementException,
                                                   org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### prepare_cql_query

          public CqlPreparedResult prepare_cql_query(java.nio.ByteBuffer query,
                                                     Compression compression)
                                              throws InvalidRequestException,
                                                     org.apache.thrift.TException

      Specified by:
        `prepare_cql_query` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_prepare_cql_query

          public void send_prepare_cql_query(java.nio.ByteBuffer query,
                                             Compression compression)
                                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_prepare_cql_query

          public CqlPreparedResult recv_prepare_cql_query()
                                                   throws InvalidRequestException,
                                                          org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### prepare_cql3_query

          public CqlPreparedResult prepare_cql3_query(java.nio.ByteBuffer query,
                                                      Compression compression)
                                               throws InvalidRequestException,
                                                      org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Prepare a CQL3 (Cassandra Query Language) statement by compiling and returning - the type of CQL statement - an id token of the compiled CQL stored on the server side. - a count of the discovered bound markers in the statement
      Specified by:
        `prepare_cql3_query` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_prepare_cql3_query

          public void send_prepare_cql3_query(java.nio.ByteBuffer query,
                                              Compression compression)
                                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_prepare_cql3_query

          public CqlPreparedResult recv_prepare_cql3_query()
                                                    throws InvalidRequestException,
                                                           org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### execute_prepared_cql_query

          public CqlResult execute_prepared_cql_query(int itemId,
                                                      java.util.List<java.nio.ByteBuffer> values)
                                               throws InvalidRequestException,
                                                      UnavailableException,
                                                      TimedOutException,
                                                      SchemaDisagreementException,
                                                      org.apache.thrift.TException

      Specified by:
        `execute_prepared_cql_query` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_execute_prepared_cql_query

          public void send_execute_prepared_cql_query(int itemId,
                                                      java.util.List<java.nio.ByteBuffer> values)
                                               throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_execute_prepared_cql_query

          public CqlResult recv_execute_prepared_cql_query()
                                                    throws InvalidRequestException,
                                                           UnavailableException,
                                                           TimedOutException,
                                                           SchemaDisagreementException,
                                                           org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### execute_prepared_cql3_query

          public CqlResult execute_prepared_cql3_query(int itemId,
                                                       java.util.List<java.nio.ByteBuffer> values,
                                                       ConsistencyLevel consistency)
                                                throws InvalidRequestException,
                                                       UnavailableException,
                                                       TimedOutException,
                                                       SchemaDisagreementException,
                                                       org.apache.thrift.TException

      Description copied from interface: `Cassandra.Iface`
      Executes a prepared CQL3 (Cassandra Query Language) statement by passing an id token, a list of variables to bind, and the consistency level, and returns a CqlResult containing the results.
      Specified by:
        `execute_prepared_cql3_query` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### send_execute_prepared_cql3_query

          public void send_execute_prepared_cql3_query(int itemId,
                                                       java.util.List<java.nio.ByteBuffer> values,
                                                       ConsistencyLevel consistency)
                                                throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_execute_prepared_cql3_query

          public CqlResult recv_execute_prepared_cql3_query()
                                                     throws InvalidRequestException,
                                                            UnavailableException,
                                                            TimedOutException,
                                                            SchemaDisagreementException,
                                                            org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `SchemaDisagreementException`
        `org.apache.thrift.TException`

    - #### set_cql_version

          public void set_cql_version(java.lang.String version)
                               throws InvalidRequestException,
                                      org.apache.thrift.TException

      Specified by:
        `set_cql_version` in interface `Cassandra.Iface`
      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

    - #### send_set_cql_version

          public void send_set_cql_version(java.lang.String version)
                                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_set_cql_version

          public void recv_set_cql_version()
                                    throws InvalidRequestException,
                                           org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation